
<%@ page import = "java.io.* " %>

<%!
 
class Employee{
   public int empno=0;
   public String firstname="";
   public String lastname="";
   public String phone="";
   public String hiredate="";   
   public int deptno=0;   
   public String jobcode="";   
   public int jobgrade=0;   
   public String jobcountry="";   
   public double salary=0.0;   

   public Employee() {
   }

   public Employee(int empno, String firstname, String lastname, String phone,
      String hiredate, int deptno, String jobcode, int jobgrade,
      String jobcountry, double salary) {

    this.empno=empno;
    this.lastname = lastname;
    this.firstname = firstname;
    this.phone = phone;
    this.hiredate = hiredate;
    this.deptno = deptno;
    this.jobcode = jobcode;
    this.jobgrade = jobgrade;
    this.jobcountry = jobcountry;
    this.salary = salary;
   }

   public void loadFromFile(DataInputStream din) {
     try {
        empno=din.readInt();
        firstname = din.readUTF();
        lastname = din.readUTF();
        phone = din.readUTF();
        hiredate =din.readUTF();
        deptno = din.readInt();
        jobcode = din.readUTF();
        jobgrade = din.readInt();
        jobcountry = din.readUTF();
        salary = din.readDouble();
     }
     catch(IOException e) {
     }
   }  // loadFromFile

   public boolean save2File(DataOutputStream dout) {
     try {
        dout.writeInt(empno);
        dout.writeUTF(firstname);
        dout.writeUTF(lastname);
        dout.writeUTF(phone);
        dout.writeUTF(hiredate);
        dout.writeInt(deptno);
        dout.writeUTF(jobcode);
        dout.writeInt(jobgrade);
        dout.writeUTF(jobcountry);
        dout.writeDouble(salary);
        return true;
     }
     catch(IOException e) {
      return false;
     }
   }  // save2File

  public String createTableRow(int nr) {
     final String EOL="\n";
     StringBuilder sb = new StringBuilder(500);
     sb.append("<tr>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(Integer.toString(nr+1));
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td ><div class=\"tdnumber\">");
     sb.append(Integer.toString(empno));
     sb.append("</div></td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(lastname);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(firstname);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(phone);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(hiredate);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(deptno);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(jobcode);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(jobgrade);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(jobcountry);
     sb.append("</td>");
     sb.append(EOL);

     sb.append(" <td>");
     sb.append(salary);
     sb.append("</td>");
     sb.append(EOL);


     sb.append("</tr>");
     sb.append(EOL);
     return sb.toString();    
  }



} // class

%> 