
<%@ page import = "java.util.* " %>
<%@ page import = "java.lang.reflect.* " %>

<%!
  //  Class<?>  getType()
  //  https://docs.oracle.com/javase/7/docs/api/java/lang/reflect/Field.html#get(java.lang.Object)

  private String getJSonArray(Object[] objs) {
     StringBuilder sb = new StringBuilder();
     if (objs.length==0) {
      return "[]";
     }
     sb.append("[ " );
     int n = objs.length;       
     for(int i=0; i<n; i++) {
       sb.append(getJSon(objs[i]));
       if (i<n-1) {
          sb.append(", ");
       }
     }
     sb.append(" ]");
     return sb.toString();
  }


  private String getJSon(Object obj) {
     StringBuilder sb = new StringBuilder();
     try {     
       Class c = obj.getClass();
       Field[] fields; 
       fields = c.getDeclaredFields();
        // {  {"name": "Meier59", "mnr":12345} 
       sb.append("{");
       int n=fields.length-1;
       for(int i=0; i<n; i++) {
         Field field = fields[i];
         sb.append("\"");
         sb.append(field.getName());
         sb.append("\": ");
         String s=field.getType().toString();
         if (s.indexOf("String")>0) {
            sb.append("\"");
            sb.append(field.get(obj));
            sb.append("\"");
         }
         else {
          sb.append(field.get(obj));
         }
         if (i<n-1) {
            sb.append(", ");
         }
       }
       sb.append("}");
       }
     catch ( IllegalAccessException e) {
     }
     return sb.toString();
  }
 
%>

 <%!
    Integer getIntNumber(String str_zahl) {
      try {
        int zahl = Integer.parseInt(str_zahl);
        return new Integer(zahl);
      }
      catch (NumberFormatException e) {
          // return null;
      }
      return null;
    }  // getIntNumber


  %>




<%@ 
  page import = "java.text.* " 
%>



<%@ include file="constant.jsp" %>
<%@ include file="employee.jsp" %>
<%@ include file="employeeDBMethods.jsp" %>


<%
    // Parameter:
    // selectDB.jsp?dept=900&filtertyp=0&filter=B
    // selectDB.jsp?dept=621&filtertyp=1&filter=Young

      String ergebnis="";

      SimpleDateFormat date=new SimpleDateFormat("HH:mm:ss");
      ergebnis=date.format(new Date());
      out.println(ergebnis);
%>